<?php

namespace EventPortal\Tests\Support\Traits;

use EventPortal\Domain\Agenda\Models\Pathway;
use PHPUnit\Framework\Assert;

trait InteractsWithPathways
{
    /**
     * @param mixed $model
     */
    public function assertHasPathway($model, Pathway $pathway): self
    {
        Assert::assertTrue(
            $model->pathways->contains($pathway->id),
            "Failed asserting that agenda has pathway with id {$pathway->id}"
        );

        return $this;
    }
}
